- Get borrower interactions
The field(s) to sort by.
All fields can be prefixed with a - to indicate the sort should be in descending order, or with a + to indicate the sort should be in ascending order. (Without specifying the order is descending.)
The valid sort by field names are:
id — order by the object creation order. createdAt — order by the createdAt field. startedAt — order by the startedAt field. holdDuration — order by the duration of the voice call on-hold (the holdDuration field.) contactName — order by the name field of the contact for the interaction. scheduledAtFrom — order by the scheduledAtFrom field. scheduledAtTo — order by the scheduledAtTo field. channel — order by the channel field. direction — order by the direction field. status — order by the status field. createdBy.employeeFirstName — order by the firstName field of the employee which created the interaction (only if creator was an employee). createdBy.employeeLastName — order by the lastName field of the employee which created the interaction (only if creator was an employee). createdBy.employeeEmail — order by the email field of the employee which created the interaction (only if creator was an employee). createdBy.employeeDisplayName - order by the full name ({firstName} {lastName}) or, if absent, the email of the employee whihch created the interaction (only if creator was an employee). createdBy.employeeFullNameOrEmail — DEPRECATED alias for createdBy.employeeDisplayName
A list of additional interaction relationships to include in the response object.
- When
include=borrowertheborrowerfield will be populated (otherwise it will benull). This is data describing the borrower associated with this interaction. - When
include=contactthecontact`` field will be populated (otherwise it will benull`). This is contact data for the contact this interaction was sent to or from. - When
include=lastTaskMetathelastTaskMetafield will be populated (otherwise it will benull). This is meta data about the most recently ended task associated with this interaction.
You can include multiple fields by passing multiple values, e.g., include=borrower,contact.
If true, include only interactions with voicemails—only valid for channel=voicecase. If false, include only interactions without voicemails. If unset, then include any interaction regardless of it having voicemail or not.
Note that a voicemail is different from a call recording. A voicemail is an audio message left by a caller when no pickup by the company was possible. e.g., the call was made while the office was closed or while there were no agents available to answer the call.
If true match only interactions with call recordings—only valid for channel=voice. If false match only interactions without call recordings. If unset, match any interaction regardless of it have a recording or not.
Note that a call recording is when an agent chooses to record a call, which is different from a voicemail.
- oauth2
- bearerAuth
- apiKeyHeader
curl -i -X GET \
'https://sandboxapi.peach.finance/api/people/{personId}/interactions?limit=25&startingAfter=string&endingBefore=string&offset=0&channel=voice&direction=outbound&status=attempted&statusDetails=voiceSpokeWithFirstParty&agentOutcome=voiceSpokeWithFirstParty&subject=string&theme=agentNotification&caseIds=string&contentContains=string&sortBy=string&include=borrower&createdAtBefore=2019-08-24T14%3A15%3A22Z&createdAtAfter=2019-08-24T14%3A15%3A22Z&startedAtBefore=2019-08-24T14%3A15%3A22Z&startedAtAfter=2019-08-24T14%3A15%3A22Z&scheduledAtFromBefore=2019-08-24T14%3A15%3A22Z&scheduledAtFromAfter=2019-08-24T14%3A15%3A22Z&scheduledAtToBefore=2019-08-24T14%3A15%3A22Z&scheduledAtToAfter=2019-08-24T14%3A15%3A22Z&createdBy=string&hasVoicemail=true&hasRecording=true&sensitive=true&isExternal=true' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Success
{ "count": 0, "nextUrl": "string", "previousUrl": "string", "status": 0, "total": 0, "data": [ { … } ] }